Setup.py reporting syntax errors

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Setup.py reporting syntax errors

phil wharram

--
Hi

Just set up a Linux machine so I can learn and play with Gramps not
using my main Windows PC had got version 4.2.5 working fine downloaded
the 4.2.6 tar and extracted it ok, went to run setup.py as per install
instructions and got syntax error messages for Line 174

Know very little about python whole reason for setting up secondary
machone was to learn

Anybody come across this before

Regards
Phil



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Setup.py reporting syntax errors

Peter Hewett-2

Hi Phil
Which distro of Linux are you using?

It will be much easier installing gramps using the distro's package
manager (than compiling from source which it appears you are doing).

HTH

Peter

------------------------
From: Phil Wharram <[hidden email]>
Date: Sat, 4 Nov 2017 15:38:40 +0000
To: [hidden email]
Subject: [Gramps-users] Setup.py reporting syntax errors

Hi

Just set up a Linux machine so I can learn and play with Gramps not
using my main Windows PC had got version 4.2.5 working fine downloaded
the 4.2.6 tar and extracted it ok, went to run setup.py as per install
instructions and got syntax error messages for Line 174

Know very little about python whole reason for setting up secondary
machone was to learn

Anybody come across this before

Regards
Phil



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Setup.py reporting syntax errors

Peter Hewett-2

Ubuntu 10.10 is very old. You should be using 17.10.
https://www.ubuntu.com/download

Did you want to learn Gramps or python?

If you want to learn Gramps, install it using the software centre in
Ubuntu. Linux is different to Windows. You should use the packages that
come with your distro unless there is a very good reason not to.

If you want to learn python, there are probably some better ways to
start than with Gramps. There are plenty of tutorial sites and videos.
If you would like to contribute to development of Gramps, check out this
web page
https://www.gramps-project.org/wiki/index.php?title=Portal:Developers
There is a separate developers mailing list for development topics.


------------------------
From: Phil Wharram <[hidden email]>
Date: Sat, 4 Nov 2017 16:35:34 +0000
To: [hidden email]
Subject: Re: [Gramps-users] Setup.py reporting syntax errors

>
> Hi Peter
>
> It is the 10.1 Ubuntu which I downloaded with the Live CD from the
> Gramps site and the package manager does seem to be able to find the
> latest version.
>
> Yes I am compiling from source which I have done before with other
> programs but not Gramps and not using setup.py
>
> I might have to get later version of Ubuntu
>
> Regards
> Phil
>
>
>
>
> On 04/11/2017 16:14, Peter Hewett wrote:
>>
>> Hi Phil
>> Which distro of Linux are you using?
>>
>> It will be much easier installing gramps using the distro's package
>> manager (than compiling from source which it appears you are doing).
>>
>> HTH
>>
>> Peter
>>
>> ------------------------
>> From: Phil Wharram <[hidden email]>
>> Date: Sat, 4 Nov 2017 15:38:40 +0000
>> To: [hidden email]
>> Subject: [Gramps-users] Setup.py reporting syntax errors
>>
>> Hi
>>
>> Just set up a Linux machine so I can learn and play with Gramps not
>> using my main Windows PC had got version 4.2.5 working fine downloaded
>> the 4.2.6 tar and extracted it ok, went to run setup.py as per install
>> instructions and got syntax error messages for Line 174
>>
>> Know very little about python whole reason for setting up secondary
>> machone was to learn
>>
>> Anybody come across this before
>>
>> Regards
>> Phil
>>
>>
>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>>
>>  
>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>>
>


 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Setup.py reporting syntax errors

prculley
I noticed that the latest 'build from source' instructions I could find (https://gramps-project.org/wiki/index.php?title=Linux:Build_from_source)
are a bit out of date.  I suspect that the problem is that you used
python setup.py build
When you should have used

python3 setup.py build

We will update the wiki to correct this.

Paul Culley

On Sat, Nov 4, 2017 at 1:08 PM, Peter Hewett <[hidden email]> wrote:

Ubuntu 10.10 is very old. You should be using 17.10.
https://www.ubuntu.com/download

Did you want to learn Gramps or python?

If you want to learn Gramps, install it using the software centre in
Ubuntu. Linux is different to Windows. You should use the packages that
come with your distro unless there is a very good reason not to.

If you want to learn python, there are probably some better ways to
start than with Gramps. There are plenty of tutorial sites and videos.
If you would like to contribute to development of Gramps, check out this
web page
https://www.gramps-project.org/wiki/index.php?title=Portal:Developers
There is a separate developers mailing list for development topics.


------------------------
From: Phil Wharram <[hidden email]>
Date: Sat, 4 Nov 2017 16:35:34 +0000
To: [hidden email]
Subject: Re: [Gramps-users] Setup.py reporting syntax errors
>
> Hi Peter
>
> It is the 10.1 Ubuntu which I downloaded with the Live CD from the
> Gramps site and the package manager does seem to be able to find the
> latest version.
>
> Yes I am compiling from source which I have done before with other
> programs but not Gramps and not using setup.py
>
> I might have to get later version of Ubuntu
>
> Regards
> Phil
>
>
>
>
> On 04/11/2017 16:14, Peter Hewett wrote:
>>
>> Hi Phil
>> Which distro of Linux are you using?
>>
>> It will be much easier installing gramps using the distro's package
>> manager (than compiling from source which it appears you are doing).
>>
>> HTH
>>
>> Peter
>>
>> ------------------------
>> From: Phil Wharram <[hidden email]>
>> Date: Sat, 4 Nov 2017 15:38:40 +0000
>> To: [hidden email]
>> Subject: [Gramps-users] Setup.py reporting syntax errors
>>
>> Hi
>>
>> Just set up a Linux machine so I can learn and play with Gramps not
>> using my main Windows PC had got version 4.2.5 working fine downloaded
>> the 4.2.6 tar and extracted it ok, went to run setup.py as per install
>> instructions and got syntax error messages for Line 174
>>
>> Know very little about python whole reason for setting up secondary
>> machone was to learn
>>
>> Anybody come across this before
>>
>> Regards
>> Phil
>>
>>
>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>>
>>  
>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>>
>


 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org